package net.java.quickcheck;

/**
 * Any generator keeping state information has to implemet this interface.
 * 
 * @param <T>
 *            type of the generated instance
 */
public interface StatefulGenerator<T> extends Generator<T> {

	/**
	 * Resets the state of the generator to the state it had immediately after
	 * construction.
	 * 
	 * Makes a heavy weight generator reusable.
	 */
	public void reset();
}
