/*
 *  Licensed to the author under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package net.java.quickcheck.characteristic;

public enum Operator {
	/**
	 * >=
	 */
	GT {
		@Override
		public boolean check(double actual, double expected) {

			return actual >= expected;
		}
	},
	/**
	 * <=
	 */
	LT {
		@Override
		public boolean check(double actual, double expected) {

			return actual <= expected;
		}
	},
	/**
	 * =
	 */
	EQ {
		@Override
		public boolean check(double actual, double expected) {
			double delta = 10e-5;
			return Math.abs(expected-actual) <= delta;
		}
	};

	public abstract boolean check(double actual, double expected);
}